import { StepResult } from '@testim/root-cause-types';
export declare class StepResultWithName implements StepResult {
    private dateConstructor;
    index: number;
    startTimestamp: number;
    constructor(stepIndex: number, dateConstructor?: typeof Date);
    get name(): string;
    toJSON(): any;
}
